import { PublicKey, Umi } from '@metaplex-foundation/umi';
import { SearchAssetsRpcInput } from '@metaplex-foundation/digital-asset-standard-api';
import { AssetV1, CollectionV1 } from './generated';
import { PluginsList } from './types';
type Pagination = Pick<SearchAssetsRpcInput, 'sortBy' | 'limit' | 'page' | 'before' | 'after'>;
declare const MPL_CORE_ASSET = "MplCoreAsset";
declare const MPL_CORE_COLLECTION = "MplCoreCollection";
export declare function dasPluginsToCorePlugins(dasPlugins: Record<string, any>): PluginsList;
declare function searchAssets(context: Umi, input: Omit<SearchAssetsRpcInput, 'interface' | 'burnt'> & {
    interface?: typeof MPL_CORE_ASSET;
}): Promise<AssetV1[]>;
declare function searchAssets(context: Umi, input: Omit<SearchAssetsRpcInput, 'interface' | 'burnt'> & {
    interface?: typeof MPL_CORE_COLLECTION;
}): Promise<CollectionV1[]>;
declare function searchCollections(context: Umi, input: Omit<SearchAssetsRpcInput, 'interface' | 'burnt'>): Promise<CollectionV1[]>;
declare function fetchAssetsByOwner(context: Umi, input: {
    owner: PublicKey;
} & Pagination): Promise<AssetV1[]>;
declare function fetchAssetsByAuthority(context: Umi, input: {
    authority: PublicKey;
} & Pagination): Promise<AssetV1[]>;
declare function fetchAssetsByCollection(context: Umi, input: {
    collection: PublicKey;
} & Pagination): Promise<AssetV1[]>;
declare function fetchCollectionsByUpdateAuthority(context: Umi, input: {
    updateAuthority: PublicKey;
} & Pagination): Promise<CollectionV1[]>;
export declare const das: {
    readonly searchAssets: typeof searchAssets;
    readonly searchCollections: typeof searchCollections;
    readonly fetchAssetsByOwner: typeof fetchAssetsByOwner;
    readonly fetchAssetsByAuthority: typeof fetchAssetsByAuthority;
    readonly fetchAssetsByCollection: typeof fetchAssetsByCollection;
    readonly fetchCollectionsByUpdateAuthority: typeof fetchCollectionsByUpdateAuthority;
};
export {};
